# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'brocade_vrouter/version'

Gem::Specification.new do |spec|
  spec.name          = 'brocade_vrouter'
  spec.version       = BrocadeVRouter::VERSION
  spec.authors       = ['Konstantin Kosmatov']
  spec.email         = ['key@kosmatov.ru']

  spec.summary       = %q{Brocade 5600 vRouter client}
  spec.description   = %q{Brocade 5600 vRouter REST API 2.0 client}
  spec.homepage      = 'https://github.com/serverscom/brocade_vrouter'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'faraday', '~> 0'
  spec.add_dependency 'multi_json', '~> 1'

  spec.add_development_dependency 'bundler', '~> 1.11'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'pry', '~> 0'
  spec.add_development_dependency 'coveralls', '~> 0'
  spec.add_development_dependency 'webmock', '~> 1'
end
